% Diffusivity of Shikimic Acid
function DwB = DiffusivityShikimic(wB,T)
mA = 18.015e-3;
mB = 174.15e-3;
xA = ((1-wB)/mA)./((wB/mB)+((1-wB)/mA));
if T > 258
    C1s = -6.55 + (0.025*258);
else
    C1s = -6.55 + (0.025*T);
end
if T > 273
    D1s = 7.122 - (0.0261*273);
else
    D1s = 7.122 - (0.0261*T);
end
Dwat0 = 10^(-6.514 - (387.4 / (T - 118)));
Ds0 = 10^(-9.35 - (542.8 / (T - 211)));
alphaD = exp(((1-xA).^2).*(C1s+(3*D1s)-(4*D1s*(1-xA))));
aws = alphaD .* xA;
DwB = (Dwat0.^aws).*(Ds0.^(1-aws));
end





    