% Vapour Pressure
function P0A = VapourPressureWat(T)
R = 8.3144598; % In units: J / (mol K)
Tm = 273.15;
aT = 1 - (373.15 / T);
Pice = 100 * (5.751856*(10^10)) * exp(-20.94793*(Tm / T)...
    -3.56654 * log(Tm / T) - 2.018890949*(T / Tm));
aice = exp(-(-210368.0 - 131.438*(T) + (3.32373*(10^6) / T)...
    + 41729.1 * log(T)) / (R*T));
if T < Tm
    P0A = Pice / aice; % in Pa
else
    P0A = 101325 * exp(13.3185*aT - 1.97*(aT^2) - 0.6445*(aT^3)...
         - 0.1299*(aT^4));
    % in Pa
end